# pip install openpyxl
# openpyxl - fast, save > lost droplist

from openpyxl import load_workbook

def Advisor() :
    book_name = "Score-Advisor.xlsx"
    results = []
    total = 0
    
    for teacher in teachers :
        
        dir_name   = teacher.split()[0]
        path_name  = f"{dir_name}\{book_name}"
    
        print(f"{path_name}")
        print("------------------------------------------------------------")
        
        count = 0
        wb = load_workbook(path_name, data_only=True)        
        for i in range(1, 5) :
            sheet_name = f"advisor-{i}"
            ws = wb[sheet_name]
            
            name  = ws['A61'].value
            score = float(ws['B61'].value)
            
            count = count + 1
            total = total + 1
            results.append((total, count, teacher, name, score))
            print(f"{total:<3} {count:<3} {score:<5.2f} {name}")
    
    # Write Grade-Project
    workbook = load_workbook("Grade-Project.xlsx")
    sheet = workbook["ReadAdvisor"]
    sheet.delete_rows(1, 1000)
    for data in results :
        sheet.append(data)        
    workbook.save("Grade-Project.xlsx")

def Project() :
    book_name = "Score-Project.xlsx"
    results = []
    total = 0
    
    for teacher in teachers :
        
        dir_name   = teacher.split()[0]
        path_name  = f"{dir_name}\{book_name}"
    
        print(f"{path_name}")
        print("------------------------------------------------------------")
        
        count = 0
        wb = load_workbook(path_name, data_only=True)        
        for i in range(1, 9) :
            sheet_name = f"project-{i}"
            ws = wb[sheet_name]
            
            name  = ws['A61'].value
            score = float(ws['B61'].value)
            
            count = count + 1
            total = total + 1
            results.append((total, count, teacher, name, score))
            print(f"{total:<3} {count:<3} {score:<5.2f} {name}")
    
    # Write Grade-Project
    workbook = load_workbook("Grade-Project.xlsx")
    sheet = workbook["ReadProject"]
    sheet.delete_rows(1, 1000)
    for data in results :
        sheet.append(data)        
    workbook.save("Grade-Project.xlsx")
    
#
# Main program
#
teachers = [
"จรรยา สายนุ้ย",
"จารุณี ดวงสุวรรณ",
"ชินพงศ์ อังสุโชติเมธี",
"เชาวนี ศรีวิศาล",
"นิธิ ทะนนท์",
"พรรณนิภา แซ่อึ้ง",
"เพ็ญณี หวังเมธีกุล",
"ภัทร อัยรักษ์",
"วรารัตน์ จักรหวัด",
"วิภาดา เวทย์ประสิทธิ์",
"ศิริรัตน์ วณิชโยบล",
"สมภพ ลิ้มสุนทรากูล",
"สมศรี จารุผดุง",
"สาธิต อินทจักร์",
"สุนิดา รัตโนทยานนท์",
"สุภาภรณ์ กานต์สมเกียรติ"
]

Advisor()

Project()

